Holger's Java API

## com.antelmann.util
Class OptionNotAvailableWarning

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      com.antelmann.util.OptionNotAvailableWarning

All Implemented Interfaces:
  WarningOnly, Serializable

    public class OptionNotAvailableWarning

extends IllegalArgumentException
implements WarningOnly

thrown to indicate that a given option is currently not available

Since:
  04/18/08
Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`OptionNotAvailableWarning()`
`OptionNotAvailableWarning(String message)`
`OptionNotAvailableWarning(String message, Throwable cause)`
`OptionNotAvailableWarning(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptionNotAvailableWarning

    public OptionNotAvailableWarning()

### OptionNotAvailableWarning

    public OptionNotAvailableWarning(String message)

### OptionNotAvailableWarning

    public OptionNotAvailableWarning(Throwable cause)

### OptionNotAvailableWarning

    public OptionNotAvailableWarning(String message,
                                     Throwable cause)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads